com.google.gwt.junit.tools

## Class GWTTestSuite

- java.lang.Object
- - junit.framework.TestSuite
  - - com.google.gwt.junit.tools.GWTTestSuite

All Implemented Interfaces:
  junit.framework.Test

    public class GWTTestSuite
    extends junit.framework.TestSuite

A utility class to optimize the order in which GWTTestCases are run by minimizing the number of times the test framework switches modules.

### Constructor Summary

Constructors
Constructor and Description
`GWTTestSuite()`
`GWTTestSuite(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTest(junit.framework.Test test)`

### Methods inherited from class junit.framework.TestSuite

`addTestSuite, countTestCases, createTest, getName, getTestConstructor, run, runTest, setName, testAt, testCount, tests, toString, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GWTTestSuite

    public GWTTestSuite()

#### GWTTestSuite

    public GWTTestSuite(java.lang.String name)

### Method Detail

#### addTest

    public void addTest(junit.framework.Test test)

Overrides:
  `addTest` in class `junit.framework.TestSuite`